WinNT.HANDLE (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinNT, class: HANDLE

Package com.sun.jna.platform.win32

# Class WinNT.HANDLE

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.platform.win32.WinNT.HANDLE

All Implemented Interfaces:
  `NativeMapped`

Direct Known Subclasses:
  `WinCrypt.HCERTCHAINENGINE`, `WinCrypt.HCERTSTORE`, `WinCrypt.HCRYPTMSG`, `WinDef.HBITMAP`, `WinDef.HBRUSH`, `WinDef.HDC`, `WinDef.HFONT`, `WinDef.HGLRC`, `WinDef.HICON`, `WinDef.HINSTANCE`, `WinDef.HKL`, `WinDef.HMENU`, `WinDef.HPALETTE`, `WinDef.HPEN`, `WinDef.HRGN`, `WinDef.HRSRC`, `WinDef.HWND`, `Winevt.EVT_HANDLE`, `WinReg.HKEY`, `Winsvc.SC_HANDLE`, `Winsvc.SERVICE_STATUS_HANDLE`, `WinUser.HHOOK`, `WinUser.HMONITOR`

Enclosing interface:
  WinNT

public static class WinNT.HANDLE extends PointerType
Handle to an object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HANDLE()`
  `HANDLE(Pointer p)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `fromNative(Object nativeValue, FromNativeContext context)`
  Override to the appropriate object for INVALID_HANDLE_VALUE.
  `void`
  `setPointer(Pointer p)`
  `String`
  `toString()`

  ### Methods inherited from class com.sun.jna.PointerType

  `equals, getPointer, hashCode, nativeType, toNative`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HANDLE

    public HANDLE()

  - ### HANDLE

    public HANDLE(Pointer p)

- ## Method Details

  - ### fromNative

    public Object fromNative(Object nativeValue, FromNativeContext context)
    Override to the appropriate object for INVALID_HANDLE_VALUE.
    Specified by:
      `fromNative` in interface `NativeMapped`
    Overrides:
      `fromNative` in class `PointerType`
    Parameters:
      `nativeValue` - Java representation of the native type to be converted.
      `context` - Context in which the conversion is taking place.
    Returns:
      Converted object.

  - ### setPointer

    public void setPointer(Pointer p)
    Overrides:
      `setPointer` in class `PointerType`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `PointerType`